org.codehaus.plexus.metadata.ann

## Class AnnReader

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.AnnReader

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class AnnReader
    extends java.lang.Object
    implements org.objectweb.asm.ClassVisitor

Author:
  Eugene Kuleshov

### Method Summary

Methods
`static AnnClass` `read(java.io.InputStream is, java.lang.ClassLoader cl)`
`void` `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(java.lang.String desc, boolean visible)`
`void` `visitAttribute(org.objectweb.asm.Attribute attr)`
`void` `visitEnd()`
`org.objectweb.asm.FieldVisitor` `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
`void` `visitInnerClass(java.lang.String name, java.lang.String outer, java.lang.String inner, int access)`
`org.objectweb.asm.MethodVisitor` `visitMethod(int access, java.lang.String mname, java.lang.String mdesc, java.lang.String signature, java.lang.String[] exceptions)`
`void` `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` `visitSource(java.lang.String source, java.lang.String debug)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public static AnnClass read(java.io.InputStream is,
                java.lang.ClassLoader cl)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### visit

    public void visit(int version,
             int access,
             java.lang.String name,
             java.lang.String signature,
             java.lang.String superName,
             java.lang.String[] interfaces)

Specified by:
  `visit` in interface `org.objectweb.asm.ClassVisitor`

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                      boolean visible)

Specified by:
  `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`

#### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                            java.lang.String name,
                                            java.lang.String desc,
                                            java.lang.String signature,
                                            java.lang.Object value)

Specified by:
  `visitField` in interface `org.objectweb.asm.ClassVisitor`

#### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                              java.lang.String mname,
                                              java.lang.String mdesc,
                                              java.lang.String signature,
                                              java.lang.String[] exceptions)

Specified by:
  `visitMethod` in interface `org.objectweb.asm.ClassVisitor`

#### visitInnerClass

    public void visitInnerClass(java.lang.String name,
                       java.lang.String outer,
                       java.lang.String inner,
                       int access)

Specified by:
  `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`

#### visitOuterClass

    public void visitOuterClass(java.lang.String owner,
                       java.lang.String name,
                       java.lang.String desc)

Specified by:
  `visitOuterClass` in interface `org.objectweb.asm.ClassVisitor`

#### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attr)

Specified by:
  `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`

#### visitSource

    public void visitSource(java.lang.String source,
                   java.lang.String debug)

Specified by:
  `visitSource` in interface `org.objectweb.asm.ClassVisitor`

#### visitEnd

    public void visitEnd()

Specified by:
  `visitEnd` in interface `org.objectweb.asm.ClassVisitor`